# Helper to auto-parse un-formatted data with haven and readr — parse_data • REDCapCAST
Helper to auto-parse un-formatted data with haven and readr

Skip to contents

# Helper to auto-parse un-formatted data with haven and readr

Source: `R/ds2dd_detailed.R`
`parse_data.Rd`

Helper to auto-parse un-formatted data with haven and readr

## Usage

    parse_data(
      data,
      guess_type = TRUE,
      col_types = NULL,
      locale = readr::default_locale(),
      ignore.vars = "cpr",
      ...
    )

## Arguments

data

  data.frame or tibble

guess_type

  logical to guess type with readr

col_types

  specify col_types using readr semantics. Ignored if guess_type is TRUE

locale

  option to specify locale. Defaults to readr::default_locale().

ignore.vars

  specify column names of columns to ignore when parsing

...

  ignored

## Value

data.frame or tibble

## Examples

    mtcars |>
      parse_data() |>
      str()
    #> 'data.frame':	32 obs. of  11 variables:
    #>  $ mpg : num  21 21 22.8 21.4 18.7 18.1 14.3 24.4 22.8 19.2 ...
    #>  $ cyl : num  6 6 4 6 8 6 8 4 4 6 ...
    #>  $ disp: num  160 160 108 258 360 ...
    #>  $ hp  : num  110 110 93 110 175 105 245 62 95 123 ...
    #>  $ drat: num  3.9 3.9 3.85 3.08 3.15 2.76 3.21 3.69 3.92 3.92 ...
    #>  $ wt  : num  2.62 2.88 2.32 3.21 3.44 ...
    #>  $ qsec: num  16.5 17 18.6 19.4 17 ...
    #>  $ vs  : num  0 0 1 1 0 1 0 1 1 1 ...
    #>  $ am  : num  1 1 1 0 0 0 0 0 0 0 ...
    #>  $ gear: num  4 4 4 3 3 3 3 4 4 4 ...
    #>  $ carb: num  4 4 1 1 2 1 4 2 2 4 ...